For the complete documentation index, see llms.txt. This page is also available as Markdown.

List

To list the existing webhooks you need to execute a GET request against the /webhooks endpoint.

Pagination is supported with limit, order and after arguments.

If you want to retrieve the details of one concrete webhook, then execute a GET request against the /webhooks/:id endpoint

Request (listing all webhooks)

curl --request GET \
  --url https://api.digitalsamba.com/api/v1/webhooks \
  --user YOUR_TEAM_ID:YOUR_DEVELOPER_KEY
import com.fasterxml.jackson.databind.ObjectMapper;

import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.util.Base64;
import java.util.Map;

String TEAM_ID = "YOUR_TEAM_ID";
String DEVELOPER_KEY = "YOUR_DEVELOPER_KEY";
String authorizationHeader = "Bearer " + Base64.getEncoder().encodeToString((TEAM_ID + ":" + DEVELOPER_KEY).getBytes());

HttpRequest request = HttpRequest.newBuilder()
  .GET()
  .uri(new URI("https://api.digitalsamba.com/api/v1/webhooks"))
  .header("Authorization", authorizationHeader)
  .build();

HttpClient client = HttpClient.newHttpClient();
HttpResponse<String> response = client.send(request, BodyHandlers.ofString());

System.out.println("Status code: " + response.statusCode());
System.out.println("Body: " + response.body());

Response (200 OK)

{
    "total_count": 1,
    "data": [
        {
            "id": "7adb1f07-db15-4cdc-8bf0-2be746fcec2a",
            "endpoint": "https://webhook.site/6edb900e-acd7-4877-b8cf-825a0862003b",
            "authorization_header": "Asf#k$%lfCaPe93$a",
            "name": "Testing my first webhook",
            "created_at": "2023-02-06T09:43:48Z",
            "updated_at": "2023-02-06T09:43:48Z"
        }
    ]
} 

Request (get a concrete webhook)

Response (200 OK)

Last updated